Skip to content
Proud to collaborate with Microsoft for Startups

docusign.user-signatures.get-user-signature-image ​

Retrieves the specified initials image or signature image for the specified user. The image is returned in the same format in which it was uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image. The userId property specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureId parameter accepts a signature ID or a signature name. Docusign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode "Bob Smith" as "Bob%20Smith". Note: Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image.

Retrieves the user initials image or the user signature image for the specified user.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
imagetypestringYes—Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image
signatureidstringYes—The ID of the account stamp.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
include_chromestringNo—When true, the chrome (or frame containing the added line and identifier) is included with the signature image.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
imagetypestringYes—Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image
signatureidstringYes—The ID of the account stamp.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
include_chromestringNo—When true, the chrome (or frame containing the added line and identifier) is included with the signature image.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.user-signatures.get-user-signature-image",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "imagetype": "value",
    "signatureid": "value"
  }
}